Method: organizations.securityProfilesV2.list

List security profiles v2.

HTTP request

GET https://apigee.googleapis.com/v1/{parent=organizations/*}/securityProfilesV2

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. For a specific organization, list of all the security profiles. Format: organizations/{org}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of profiles to return

pageToken

string

Optional. A page token, received from a previous securityProfilesV2.list call. Provide this to retrieve the subsequent page.

riskAssessmentType

enum (RiskAssessmentType)

Optional. The risk assessment type of the security profiles. Defaults to ADVANCED_API_SECURITY.

Request body

The request body must be empty.

Response body

Response for securityProfilesV2.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "securityProfilesV2": [
    {
      object (SecurityProfileV2)
    }
  ],
  "nextPageToken": string
}
Fields
securityProfilesV2[]

object (SecurityProfileV2)

List of security profiles in the organization.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform